// Vertex Shader – file "minimal.vert"

#version 120 //SL version 2 not 4
uniform mat4 mvMat;
uniform mat4 projMat;
in  vec3 in_Position;
in  vec3 in_Normal;

out vec3 ex_Color;

	



void main(void)
{

	vec3 tmp = in_Normal;

	//position calculation
	gl_Position = projMat *  mvMat * vec4(in_Position,1);


	
	//color passed through, for debugging purposes
	//ex_Color = vec3(1.0f, 1.0f, 0.0f);
	
	
}
